def integre(f,a,b,nb):
    """
    Calcule une valeur approchée de l’intégrale de
    f entre a et b en subdivisant l’intervalle en nb
    points intermédiaires.
    """
    pas = (b-a)/(nb+1)
    somme = 0
    for i in range(nb+1):
        somme = somme + f(a+i*pas)
    return somme*pas


