from random import choice

directions = [(1,0),(0,1),(-1,0),(0,-1)]

def marche(source,but):
    chemin = [source]
    x,y = source
    while (x,y) != but:
        dx,dy = choice(directions)
        x = x+dx
        y = y+dy
        chemin.append((x,y))
    return chemin

if __name__ == '__main__':
    source = (0,0)
    but = (1,1)
    nb_essais = 1000
    print('on fait',nb_essais,'marches aléatoires de',source,'à',but)
    total = 0
    for i in range(nb_essais):
        print('marche',i,':')
        pas = len(marche(source,but))
        total = total + pas
        print('  -> but atteint après',pas,'pas')
    print('nombre moyen d’étapes :',total/nb_essais)




    

